Stories
Slash Boxes
Comments
NOTE: use Perl; is on undef hiatus. You can read content, but you can't post it. More info will be forthcoming forthcomingly.

All the Perl that's Practical to Extract and Report

use Perl Log In

Log In

[ Create a new account ]

lachoy (1663)

lachoy
  chris.winters@gmail.com
http://www.cwinters.com/

I am actually Chris Winters; I am actually living in Pittsburgh, Pennsylvania, USA; I am actually married and have three cats. (Guess what one of them is named?) I am the "OpenInteract" guy, which could be good or bad.

Journal of lachoy (1663)

Wednesday September 21, 2005
11:27 PM

Weird apache errors after upgrade

[ #26824 ]

Gentoo has been updating their Apache ebuilds and as a result of a recent upgrade my static Apache was kinda broken. "Kinda" in that the proxying function worked -- my site was fine, and the images (and feeds) were served statically just fine as well. But some of the other virtual hosts segfaulted the Apache child on any request -- even the drop-dead simple one for my wife's tutoring website segfaulted, and there's nothing there!

I didn't even realize this was happening for ~ a day, so the openinteract.org web server was down, but oddly the issue tracking system wasn't (since it sits behind a proxy). Rather than see what was going on with the Apache (no patience), my fix was to just build another Apache by hand -- still in muscle memory despite not doing admin work for a few years. The only problem is that I need to build mod_php and mod_ssl (for Squirrelmail), and doing that has always given me pause because of the headaches over the years. (Yet another reason to hate PHP, sorry Kirk.) Maybe it's better now, we'll see...

Posted from cwinters.com; read original

The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login | Reply
Loading... please wait.